JmxAgent (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.JmxAgent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class JmxAgent

    java.lang.Object
      org.mule.AbstractAgent
          org.mule.module.management.agent.JmxAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

    public class JmxAgent

extends AbstractAgent

`JmxAgent` registers Mule Jmx management beans with an MBean server.

Nested Class Summary
`protected class` | `JmxAgent.MuleContextStartedListener`
`protected class` | `JmxAgent.MuleContextStoppedListener`

Field Summary
`static Map` | `DEFAULT_CONNECTOR_SERVER_PROPERTIES`
`static String` | `DEFAULT_JMX_AUTHENTICATOR` Default JMX Authenticator to use for securing remote access.
`static String` | `DEFAULT_REMOTING_URI`
`protected boolean` | `locateServer` Should MBeanServer be discovered.
`protected static Log` | `logger` Logger used by this class

Fields inherited from class org.mule.AbstractAgent
`muleContext, name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JmxAgent()`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`Map` | `getConnectorServerProperties()` Getter for property 'connectorServerProperties'.
`String` | `getConnectorServerUrl()`
`List` | `getDependentAgents()` The JmxAgent needs a RmiRegistryAgent to be started before it can properly work.
`String` | `getDescription()` Should be a 1 line description of the agent
`JmxSupportFactory` | `getJmxSupportFactory()` Getter for property 'jmxSupportFactory'.
`MBeanServer` | `getMBeanServer()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isCreateServer()`
`boolean` | `isEnableStatistics()`
`boolean` | `isLocateServer()`
`protected void` | `registerConfigurationService()`
`protected void` | `registerConnectorServices()`
`void` | `registered()`
`protected void` | `registerEndpointServices()`
`protected void` | `registerModelServices()`
`protected void` | `registerMuleService()`
`protected void` | `registerServiceServices()`
`protected void` | `registerStatisticsService()`
`protected void` | `registerWrapperService()` Register a Java Service Wrapper agent.
`void` | `setConnectorServerProperties(Map connectorServerProperties)` Setter for property 'connectorServerProperties'.
`void` | `setConnectorServerUrl(String connectorServerUrl)`
`void` | `setCreateServer(boolean createServer)`
`void` | `setCredentials(Map newCredentials)` Setter for property 'credentials'.
`void` | `setEnableStatistics(boolean enableStatistics)`
`void` | `setJmxSupportFactory(JmxSupportFactory jmxSupportFactory)` Setter for property 'jmxSupportFactory'.
`void` | `setLocateServer(boolean locateServer)`
`void` | `setMBeanServer(MBeanServer mBeanServer)`
`void` | `start()` (non-Javadoc)
`void` | `stop()`
`void` | `unregistered()`
`protected void` | `unregisterMBeansIfNecessary()`

Methods inherited from class org.mule.AbstractAgent
`getName, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_REMOTING_URI

    public static final String DEFAULT_REMOTING_URI

See Also:
  Constant Field Values

### DEFAULT_CONNECTOR_SERVER_PROPERTIES

    public static final Map DEFAULT_CONNECTOR_SERVER_PROPERTIES

### DEFAULT_JMX_AUTHENTICATOR

    public static final String DEFAULT_JMX_AUTHENTICATOR

  Default JMX Authenticator to use for securing remote access.

### logger

    protected static final Log logger

  Logger used by this class

### locateServer

    protected boolean locateServer

  Should MBeanServer be discovered.

Constructor Detail

### JmxAgent

    public JmxAgent()

Method Detail

### getDescription

    public String getDescription()

  Should be a 1 line description of the agent

  Specified by:
    `getDescription` in interface `Agent`
  Overrides:
    `getDescription` in class `AbstractAgent`
  Returns:
  See Also:
    `Agent.getDescription()`

### getDependentAgents

    public List getDependentAgents()

  The JmxAgent needs a RmiRegistryAgent to be started before it can properly work.

  Specified by:
    `getDependentAgents` in interface `Agent`
  Overrides:
    `getDependentAgents` in class `AbstractAgent`
  Returns:
    List of Class objects (agent classes) that this Agent requires to be started before it can start itself. The implementation of this class may never return `null`.

### initialise

    public void initialise()
                    throws InitialisationException

  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Specified by:
    `initialise` in class `AbstractAgent`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### start

    public void start()
               throws MuleException

  (non-Javadoc)

  Throws:
    `MuleException`
  See Also:
    `Startable.start()`

### stop

    public void stop()
              throws MuleException

  Throws:
    `MuleException`

### dispose

    public void dispose()

  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

### registered

    public void registered()

### unregistered

    public void unregistered()

### registerWrapperService

    protected void registerWrapperService()
                                   throws MuleException

  Register a Java Service Wrapper agent.

  Throws:
    `MuleException` - if registration failed

### registerStatisticsService

    protected void registerStatisticsService()
                                      throws NotCompliantMBeanException,
                                             MBeanRegistrationException,
                                             InstanceAlreadyExistsException,
                                             MalformedObjectNameException

  Throws:
    `NotCompliantMBeanException`
    `MBeanRegistrationException`
    `InstanceAlreadyExistsException`
    `MalformedObjectNameException`

### registerModelServices

    protected void registerModelServices()
                                  throws NotCompliantMBeanException,
                                         MBeanRegistrationException,
                                         InstanceAlreadyExistsException,
                                         MalformedObjectNameException

  Throws:
    `NotCompliantMBeanException`
    `MBeanRegistrationException`
    `InstanceAlreadyExistsException`
    `MalformedObjectNameException`

### registerMuleService

    protected void registerMuleService()
                                throws NotCompliantMBeanException,
                                       MBeanRegistrationException,
                                       InstanceAlreadyExistsException,
                                       MalformedObjectNameException

  Throws:
    `NotCompliantMBeanException`
    `MBeanRegistrationException`
    `InstanceAlreadyExistsException`
    `MalformedObjectNameException`

### registerConfigurationService

    protected void registerConfigurationService()
                                         throws NotCompliantMBeanException,
                                                MBeanRegistrationException,
                                                InstanceAlreadyExistsException,
                                                MalformedObjectNameException

  Throws:
    `NotCompliantMBeanException`
    `MBeanRegistrationException`
    `InstanceAlreadyExistsException`
    `MalformedObjectNameException`

### registerServiceServices

    protected void registerServiceServices()
                                    throws NotCompliantMBeanException,
                                           MBeanRegistrationException,
                                           InstanceAlreadyExistsException,
                                           MalformedObjectNameException

  Throws:
    `NotCompliantMBeanException`
    `MBeanRegistrationException`
    `InstanceAlreadyExistsException`
    `MalformedObjectNameException`

### registerEndpointServices

    protected void registerEndpointServices()
                                     throws NotCompliantMBeanException,
                                            MBeanRegistrationException,
                                            InstanceAlreadyExistsException,
                                            MalformedObjectNameException

  Throws:
    `NotCompliantMBeanException`
    `MBeanRegistrationException`
    `InstanceAlreadyExistsException`
    `MalformedObjectNameException`

### registerConnectorServices

    protected void registerConnectorServices()
                                      throws MalformedObjectNameException,
                                             NotCompliantMBeanException,
                                             MBeanRegistrationException,
                                             InstanceAlreadyExistsException

  Throws:
    `MalformedObjectNameException`
    `NotCompliantMBeanException`
    `MBeanRegistrationException`
    `InstanceAlreadyExistsException`

### isCreateServer

    public boolean isCreateServer()

  Returns:
    Returns the createServer.

### setCreateServer

    public void setCreateServer(boolean createServer)

  Parameters:
    `createServer` - The createServer to set.

### isLocateServer

    public boolean isLocateServer()

  Returns:
    Returns the locateServer.

### setLocateServer

    public void setLocateServer(boolean locateServer)

  Parameters:
    `locateServer` - The locateServer to set.

### getConnectorServerUrl

    public String getConnectorServerUrl()

  Returns:
    Returns the connectorServerUrl.

### setConnectorServerUrl

    public void setConnectorServerUrl(String connectorServerUrl)

  Parameters:
    `connectorServerUrl` - The connectorServerUrl to set.

### isEnableStatistics

    public boolean isEnableStatistics()

  Returns:
    Returns the enableStatistics.

### setEnableStatistics

    public void setEnableStatistics(boolean enableStatistics)

  Parameters:
    `enableStatistics` - The enableStatistics to set.

### getMBeanServer

    public MBeanServer getMBeanServer()

  Returns:
    Returns the mBeanServer.

### setMBeanServer

    public void setMBeanServer(MBeanServer mBeanServer)

  Parameters:
    `mBeanServer` - The mBeanServer to set.

### getConnectorServerProperties

    public Map getConnectorServerProperties()

  Getter for property 'connectorServerProperties'.

  Returns:
    Value for property 'connectorServerProperties'.

### setConnectorServerProperties

    public void setConnectorServerProperties(Map connectorServerProperties)

  Setter for property 'connectorServerProperties'. Set to `null` to use defaults (`DEFAULT_CONNECTOR_SERVER_PROPERTIES`). Pass in an empty map to use no parameters. Passing a non-empty map will replace defaults.

  Parameters:
    `connectorServerProperties` - Value to set for property 'connectorServerProperties'.

### getJmxSupportFactory

    public JmxSupportFactory getJmxSupportFactory()

  Getter for property 'jmxSupportFactory'.

  Returns:
    Value for property 'jmxSupportFactory'.

### setJmxSupportFactory

    public void setJmxSupportFactory(JmxSupportFactory jmxSupportFactory)

  Setter for property 'jmxSupportFactory'.

  Parameters:
    `jmxSupportFactory` - Value to set for property 'jmxSupportFactory'.

### setCredentials

    public void setCredentials(Map newCredentials)

  Setter for property 'credentials'.

  Parameters:
    `newCredentials` - Value to set for property 'credentials'.

### unregisterMBeansIfNecessary

    protected void unregisterMBeansIfNecessary()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.